# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2024"
name = "halephant"
version = "0.2.1"
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "A proxy and pooler for Postgres"
readme = false
license = "Apache-2.0"
repository = "https://github.com/tunnelworks/halephant"

[[bin]]
name = "halephant"
path = "src/main.rs"

[dependencies.anyhow]
version = "1"

[dependencies.arc-swap]
version = "1"

[dependencies.clap]
version = "4"
features = ["derive"]

[dependencies.futures-util]
version = "0.3"
features = ["sink"]

[dependencies.halephant-core]
version = "0.2.0"

[dependencies.opentelemetry]
version = "0.31"
features = [
    "trace",
    "metrics",
    "logs",
]
default-features = false

[dependencies.opentelemetry-appender-tracing]
version = "0.31"
default-features = false

[dependencies.opentelemetry-otlp]
version = "0.31"
features = [
    "trace",
    "metrics",
    "logs",
    "grpc-tonic",
]
default-features = false

[dependencies.opentelemetry_sdk]
version = "0.31"
features = [
    "trace",
    "metrics",
    "logs",
]
default-features = false

[dependencies.tokio]
version = "1.50"
features = ["full"]

[dependencies.tokio-util]
version = "0.7"
features = ["codec"]

[dependencies.tracing]
version = "0.1"

[dependencies.tracing-opentelemetry]
version = "0.32"

[dependencies.tracing-subscriber]
version = "0.3"
features = ["env-filter"]

[lints.clippy]
await_holding_lock = "warn"
cast_possible_truncation = "allow"
cast_possible_wrap = "allow"
cast_sign_loss = "allow"
dbg_macro = "warn"
doc_markdown = "allow"
exit = "warn"
items_after_statements = "allow"
large_futures = "warn"
mem_forget = "warn"
missing_errors_doc = "allow"
missing_panics_doc = "allow"
module_name_repetitions = "allow"
must_use_candidate = "allow"
panic = "warn"
print_stderr = "warn"
print_stdout = "warn"
redundant_clone = "warn"
similar_names = "allow"
str_to_string = "warn"
todo = "warn"
too_many_lines = "allow"
unwrap_used = "warn"
wildcard_imports = "allow"

[lints.clippy.pedantic]
level = "warn"
priority = -1

[lints.rust]
elided_lifetimes_in_paths = "warn"
trivial_numeric_casts = "warn"
unreachable_pub = "warn"
unsafe_code = "forbid"
unused_qualifications = "warn"
